import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import type { BuilderBlock } from "../../types/builder-block";
import type { BuilderComponentsProp, BuilderDataProps } from "../../types/builder-props";
import * as i0 from "@angular/core";
export type DropzoneProps = BuilderDataProps & BuilderComponentsProp & {
    name: string;
    attributes: any;
};
export default class Slot {
    private renderer;
    builderContext: InputSignal<DropzoneProps["builderContext"]>;
    name: InputSignal<DropzoneProps["name"]>;
    builderComponents: InputSignal<DropzoneProps["builderComponents"]>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    _listenerFns: Map<any, any>;
    objSpread_parent_76vll8: import("@angular/core").Signal<string>;
    objSpread_blocks_j4a76r: import("@angular/core").Signal<BuilderBlock[]>;
    templateStr_y9vvxs(): string;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Slot, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Slot, "slot", never, { "builderContext": { "alias": "builderContext"; "required": false; "isSignal": true; }; "name": { "alias": "name"; "required": false; "isSignal": true; }; "builderComponents": { "alias": "builderComponents"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
